
Figure - Bug #118595
IOVDEV-31437【内部】【VC1】【100】【台架】【EE环境】【副屏】【三方应用】打开游戏和平精英，和平
精英登陆界面显示半黑屏
2023-06-06 20:04 - CD TEST-方永红

Status: CLOSED Start date: 2023-06-06

Priority: Normal Due date:

Assignee: CD TEST-方永红 % Done: 100%

Category: CD-FW Estimated time: 0.00 hour

Target version:

Need_Info: -- Found Version: 0106

Resolution: FIXED Degrated: No

Severity: Normal Verified Version:

Reproducibility: Every time Fixed Version: 2023-06-08

Test Type: ST Root cause: 第一次打开游戏模式，引导视图覆盖在游戏上所致。

Description

环境信息】EE环境

【问题出现时间】：20230530 11:40

【前提条件】：副屏上电

连接中控、时间与中控时间同步

网络连接情况正常

【操作步骤】

1.副屏点击和平精英游戏-进入和平精英

2.显示和平精英登陆页

【实际结果】

1.副屏点击和平精英游戏进入登陆页，登陆页显示半黑屏

【期望结果】

副屏点击和平精英游戏进入登陆页，登陆页正常显示，无版黑屏效果显示

【备注】：

当前开机次数】：副屏当前开机第171次

【硬件版本号】：

【副屏版本号】：01.00.0100.C103

【中控版本号】：03.02.0086.C102.03_userdebug_2305271506

【中控VIN】HRYTTESTVINMGM403

History

#1 - 2023-06-07 09:32 - CD TEST-方永红

ftp://cdiot@192.168.87.46/Pre_figure/Test_Log/118595

#2 - 2023-06-07 09:36 - CD FW 曹覃刚

- Status changed from New to ASSIGNED
ftp://cdiot@192.168.87.46/Pre_figure/Test_Log/118595


- Assignee changed from CD FW 曹覃刚 to CD APP-王宏

游戏模式的引导页显示在上面了

引导页应该只在第一次开启游戏时显示，请帮忙检查一下

#3 - 2023-06-08 14:12 - CD APP-王宏

- Assignee changed from CD APP-王宏 to CD FW-廖涛

#4 - 2023-06-08 15:12 - IoT scm

Gerrit Merge Information：

ID Project Branch Uploader

205676 general/platform/frameworks/native Pre_figure_turbox-c2130c-la1.1-qssi12

-dev

tao.liao@thundersoft.com

AF:GameMode: Exclude GameMode GuideView in virtual display.TC-RID: 1201-0204801IssueID: TS-R-BUG-118595Change-Id:

I9d4394df28b189cdcf2ad468613dc2a03cdb177c

#5 - 2023-06-08 15:12 - IoT scm

Gerrit Merge Information：

ID Project Branch Uploader

205677 general/platform/vendor/thundercom

m/apps/GameMode

Pre_figure_turbox-c2130c-la1.1-qssi12

-dev

tao.liao@thundersoft.com

AF:GameMode: Dismiss GuideView when click.TC-RID: 1201-0204801IssueID: TS-R-BUG-118595Change-Id: I0cc000681ae96938d5b3a1ecc65ec1b0535eb858

#6 - 2023-06-08 15:19 - CD FW-廖涛

- Status changed from ASSIGNED to RESOLVED

- Assignee changed from CD FW-廖涛 to CD TEST-方永红

- % Done changed from 0 to 100

- Resolution changed from -- to FIXED

- Degrated changed from -- to No

- Fixed Version set to 2023-06-08

- Root cause set to 第一次打开游戏模式，引导视图覆盖在游戏上所致。

■ Current conclusion

已处理，代码已入库。

■ My analysis

第一次打开游戏模式，引导视图覆盖在游戏上所致，功能逻辑如此。

本次修改：

1. 录屏时，不录制游戏模式引导窗口；

2. 点击游戏模式引导视图任意位置，隐藏游戏模式引导视图；

2025-07-04 2/3



■ Next action

测试验证。

#7 - 2023-06-09 14:37 - SZTS_TEST 邹涛

- Status changed from RESOLVED to VERIFIED

在 FlatBuild_HH_MCE_FSE.M.D.user.01.00.C104.202306090153 版本验证通过

#8 - 2023-06-25 15:25 - CD TEST-方永红

- Status changed from VERIFIED to CLOSED
